#
# spec file for package xine-lib
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xine-lib
# %%bcond_with = default off
# %%bcond_without = default on
#
# --with distributable      -> don't build libxine2-codecs
# --without distributable   -> build libxine2-codecs
#
# default for buildservice is no patented codecs
%bcond_without distributable
%bcond_with onlynondistributable
%bcond_without pulseaudio
%if 0%{?suse_version} == 1315
%bcond_without gcc5
%else
%bcond_with gcc5
%endif
%if 0%{?suse_version} > 1320 || 0%{?is_opensuse} == 1
%bcond_without ffmpeg
%else
%if %{with distributable}
%bcond_with ffmpeg
%else
%bcond_without ffmpeg
%endif
%endif
%bcond_with sdl
%bcond_with aalib
%bcond_with esd
%bcond_with jack
%bcond_without gnome_vfs
%bcond_with directfb
%bcond_without modplug
#
%if %{with gcc5}
BuildRequires:  gcc5
%endif
BuildRequires:  ImageMagick-devel
BuildRequires:  Mesa-devel
BuildRequires:  alsa-devel
BuildRequires:  flac-devel
BuildRequires:  giflib-devel
BuildRequires:  glib2-devel
BuildRequires:  gnutls-devel
BuildRequires:  gtk2-devel
BuildRequires:  imlib2-devel
BuildRequires:  krb5-devel
BuildRequires:  libcdio-devel
BuildRequires:  libdrm-devel
BuildRequires:  libmng-devel
BuildRequires:  libmpcdec-devel
BuildRequires:  libsmbclient-devel
BuildRequires:  libtheora-devel
BuildRequires:  libtool
BuildRequires:  libv4l-devel >= 0.8.4
BuildRequires:  libvorbis-devel
BuildRequires:  lirc-devel
BuildRequires:  readline-devel
BuildRequires:  speex-devel
BuildRequires:  update-desktop-files
BuildRequires:  vcdimager-devel
BuildRequires:  xorg-x11-devel
BuildRequires:  pkgconfig(dvdnav)
BuildRequires:  pkgconfig(vpx)
%if %{with ffmpeg}
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libbluray) >= 0.2.1
BuildRequires:  pkgconfig(libpostproc)
%else
BuildRequires:  libavutil-devel
%endif
%if !%{with distributable}
BuildRequires:  libfaad-devel
BuildRequires:  pkgconfig(libdts)
BuildRequires:  pkgconfig(libva)
BuildRequires:  pkgconfig(libva-glx)
BuildRequires:  pkgconfig(mad)
BuildRequires:  pkgconfig(vdpau)
%endif
%if %{with pulseaudio}
BuildRequires:  libpulse-devel
%endif
%if %{with sdl}
BuildRequires:  SDL-devel
%endif
%if %{with aalib}
BuildRequires:  aalib-devel
BuildRequires:  libcaca-devel
%endif
%if %{with esd}
BuildRequires:  esound-devel
%endif
%if %{with gnome_vfs}
BuildRequires:  gnome-vfs2-devel
%endif
%if %{with jack}
BuildRequires:  libjack-devel
%endif
%if %{with directfb}
BuildRequires:  DirectFB-devel
%endif
%if %{with modplug}
BuildRequires:  libmodplug-devel
%endif
Version:        1.2.8
Release:        1.1
%define abiversion 2.6
Summary:        Video Player with Plug-Ins
License:        GPL-2.0+ and SUSE-Public-Domain
Group:          Productivity/Multimedia/Video/Players
Url:            https://www.xine-project.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

Source:         http://sourceforge.net/projects/xine/files/%{name}/%{version}/%{name}-%{version}.tar.xz
Source1:        baselibs.conf

Patch0:         xine-lib-libdvdread_udf.diff
Patch1:         xine-lib-v4l-2.6.38.patch
# PATCH allow ffmpeg in openSUSE versions that have ffmpeg and still use the crippled tar ball to build with ffmpeg3.
Patch2:         xine-lib-without-ffmpeg.patch
Patch3:         fix-non-x86-build.diff
# Add theora FOURCC to libxine I found an avi container that xine wouldn't play.
Patch4:         xine-lib-theora.patch
# This should be fixed upstream, but this patch will not work for them.
# wand/magick_wand.h is already deprecated even in ImageMagick-6; package should
# include wand/MagickWand.h for ImageMagick-6 and MagickWand/MagickWand.h for
# ImageMagick-7. Including wand/MagickWand.h will work for us also for
# ImageMagick-7, because we package wand/ symlink to ./MagickWand/MagickWand.h
Patch8:         xine-lib-ImageMagick7.patch

%description
<p>Great video and multimediaplayer, supports DVD, MPEG, AVI, DivX, VCD, Quicktime ...</p><p>You need a frontend for xine-lib like <a href=http://packman.links2linux.de/package/xine-ui>xine-ui</a>, <a href=http://packman.links2linux.de/package/gxine>gxine</a>, <a href=http://packman.links2linux.de/package/kaffeine>kaffeine</a> or <a href=http://packman.links2linux.de/package/totem>totem</a>.</p><p>Since 1-rc6 the package number is reduced, all you may miss, is in the base package</p><p>If you want to play css encrypted Video-DVD's, you need to install <a href=http://packman.links2linux.de/package/libdvdcss2>libdvdcss</a>.</p>

%description -l de
<p>Gro&szlig;artiger Video- und Multimediaplayer mit Support f&uuml;r DVD, MPEG, AVI, DivX, VCD,Quicktime ...</p><p>Bitte beachten Sie, dass Sie neben der xine-lib auch eine Bedienoberfl&auml;che wie <a href=http://packman.links2linux.de/package/xine-ui>xine-ui</a>, <a href=http://packman.links2linux.de/package/gxine>gxine</a>, <a href=http://packman.links2linux.de/package/kaffeine>kaffeine</a> oder <a href=http://packman.links2linux.de/package/totem>totem</a> ben&ouml;tigen.</p><p>Seit 1-rc6 wurde die Zahl der Pakete reduziert, alles was sie eventuell vermissen, wurde in das Basispaket integriert.</p><p>Wenn Sie css verschl&uuml;sselte Video-DVDs abspielen wollen, m&uuml;ssen Sie zus&auml;tzlich die <a href=http://packman.links2linux.de/package/libdvdcss2>libdvdcss</a> installieren.</p>

%package -n libxine2
Summary:        Video Player with Plug-Ins
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Players
Provides:       libxine2-syncfb = %{version}-%{release}
Obsoletes:      libxine2-syncfb < %{version}-%{release}
Provides:       libxine2-xvmc = %{version}-%{release}
Obsoletes:      libxine2-xvmc < %{version}-%{release}
Provides:       libxine2-dvb = %{version}-%{release}
Obsoletes:      libxine2-dvb < %{version}-%{release}
Provides:       %{name} = %{version}-%{release}
Obsoletes:      %{name} < %{version}-%{release}
Recommends:     libxine2-codecs = %{version}
Recommends:     opensuse-codecs-installer

%description -n libxine2
xine is a video player with a graphical front-end that supports a large
number of file formats (VCD and MPEG2, for example) using plug-ins.
Several plug-ins are included. Others can be installed after xine
installation. xine supports stereo sound using OSS and AC5.1 using
Alsa.

%if %{with distributable}
This version of xine may lack certain features because of legal
requirements (potential patent violation). See also
http://www.opensuse.org/XINE#Legal_Matters
%endif

More information about xine plug-ins can be found at
http://www.xine-project.org/home

Authors:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%description -n libxine2 -l de
xine ist ein Videoplayer mit grafischem  Frontend und unterstützt
eine vielzahl an Dateiformaten (z.B. VCD und MPEG2) mit hilfe von
Plugins. Einige Plugins sind enthalten, andere können nach der
Installation von xine nachinstalliert werden. xine untersützt
Stereosound via OSS und AC5.1 per Alsa.

%if %{with distributable}
Diese xine-Version lässt eventuell einige Funktione aus rechtlichen
Gründen vermissen (mögliche Patentverletzungen). Siehe dazu
http://www.opensuse.org/XINE#Legal_Matters
%endif

Weitere Informationen über xine Plugins finden Sie unter
http://www.xine-project.org/home

Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%package -n libxine-devel
Summary:        Development environment for xine-based media players
License:        GPL-2.0+ and SUSE-Public-Domain
Group:          Development/Libraries/C and C++
Requires:       freetype2-devel
Requires:       glibc-devel
Requires:       libv4l-devel
Requires:       libxine2 = %{version}
Requires:       zlib-devel
Obsoletes:      libxine2-devel < %{version}-%{release}
Provides:       libxine2-devel = %{version}-%{release}
Obsoletes:      xine-lib2-devel < %{version}-%{release}
Provides:       xine-lib2-devel = %{version}-%{release}
Obsoletes:      xine-devel < %{version}-%{release}
Provides:       xine-devel = %{version}-%{release}

%description -n libxine-devel
This package contains all necessary include files, libraries and
configuration files needed to compile applications that use the xine
media player.

xine is a video player which supports a large number of file formats
(i.e., VCD, MPEG2) using plug-ins. Several plug-ins are included.
Others can be post-installed. Supports stereo sound using OSS and AC5.1
using Alsa.

%if %{with distributable}
This version of xine may lack certain features because of legal
requirements (potential patent violation). See also
http://www.opensuse.org/XINE#Legal_Matters
%endif

More information about xine plug-ins can be found at
http://www.xine-project.org/home

Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%description -n libxine-devel -l de
Dieses Paket enthält alle nötigen Include Dateien, Biblioteken und
Konfigurationsdateien, die benötigt werden, um Anwendungen zu
kompilieren, die den xine Media Player verwenden.

xine ist ein Videoplayer mit grafischem  Frontend und unterstützt
eine vielzahl an Dateiformaten (z.B. VCD und MPEG2) mit hilfe von
Plugins. Einige Plugins sind enthalten, andere können nach der
Installation von xine nachinstalliert werden. xine untersützt
Stereosound via OSS und AC5.1 per Alsa.

%if %{with distributable}
Diese xine-Version lässt eventuell einige Funktione aus rechtlichen
Gründen vermissen (mögliche Patentverletzungen). Siehe dazu
http://www.opensuse.org/XINE#Legal_Matters
%endif

Weitere Informationen über xine Plugins finden Sie unter
http://www.xine-project.org/home

Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%if %{with pulseaudio}

%package -n libxine2-pulse
Summary:        Pulseaudio plugin for xine
License:        GPL-2.0+ and SUSE-Public-Domain
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine2 = %{version}
Supplements:    packageand(libpulse0:libxine2)

%description -n libxine2-pulse
libxine sound output plugin for the pulseaudio soundserver



Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%description -n libxine2-pulse -l de
libxine Soundausgabeplugin für den Pulseaudio Soundserver



Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>
%endif

%if %{with sdl}

%package -n libxine2-sdl
Summary:        SDL plugin for xine
License:        GPL-2.0+ and SUSE-Public-Domain
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine2 = %{version}

%description -n libxine2-sdl
SDL xine video output plugin



Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%description -n libxine2-sdl -l de
SDL xine Video-Ausgabeplugin



Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>
%endif

%if %{with aalib}

%package -n libxine2-aa
Summary:        Aalib and libcaca plugin for xine
License:        GPL-2.0+ and SUSE-Public-Domain
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine2 = %{version}

%description -n libxine2-aa
aalib and libcaca xine video-output plugin



Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%description -n libxine2-aa -l de
aalib und libcaca xine Video-Ausgabeplugin



Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>
%endif

%if %{with esd}

%package -n libxine2-esd
Summary:        Esd plugin for xine
License:        GPL-2.0+ and SUSE-Public-Domain
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine2 = %{version}

%description -n libxine2-esd
libxine sound output plugin for the esound soundserver



Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%description -n libxine2-esd -l de
libxine Soundausgabeplugin für den esound Soundserver



Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>
%endif

%if %{with jack}

%package -n libxine2-jack
Summary:        Jack plugin for xine
License:        GPL-2.0+ and SUSE-Public-Domain
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine2 = %{version}

%description -n libxine2-jack
xine sound output plugin for the jack soundserver



Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%description -n libxine2-jack -l de
xine Soundausgabeplugin für den jack Soundserver



Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>
%endif

%if %{with directfb}

%package -n libxine2-directfb
Summary:        Directfb plugin for xine
License:        GPL-2.0+ and SUSE-Public-Domain
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine2 = %{version}

%description -n libxine2-directfb
Directfb xine video-output plugin



Authors:
--------
    Guenter Bartsch <guenter@users.sourceforge.net>

%description -n libxine2-directfb -l de
Directfb xine Video-Ausgabeplugin



Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>
%endif

%if %{with gnome_vfs}

%package -n libxine2-gnome-vfs
Summary:        Gnome-vfs plugin for xine
License:        GPL-2.0+ and SUSE-Public-Domain
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine2 = %{version}

%description -n libxine2-gnome-vfs
Input plugin which enables xine to use Gnome-vfs

%description -n libxine2-gnome-vfs -l de
Eingabeplugin welches xine ermöglicht Gnome-vfs zu benutzen
%endif

%if !%{with distributable}

%package -n libxine2-codecs
# these libs are possibly illegal and may not work without libdvdcss anyway
Summary:        Xine plugins for watching DVDs, DivX and more
License:        GPL-2.0+ and SUSE-Public-Domain
Group:          Productivity/Multimedia/Video/Players
Requires:       libxine2 = %{version}
Provides:       libxine2-dvd = %{version}-%{release}
Obsoletes:      libxine2-dvd < %{version}-%{release}
Provides:       libxine2-dxr3 = %{version}-%{release}
Obsoletes:      libxine2-dxr3 < %{version}-%{release}
%ifarch %{ix86}
Provides:       libxine2-w32dll = %{version}-%{release}
Obsoletes:      libxine2-w32dll < %{version}-%{release}
%endif
Recommends:     libdvdcss2 >= 1.2.10

%description -n libxine2-codecs
With these xine plug-ins, you can watch DVDs and all other kind of
media using xine. More information about xine plug-ins can be found at
http://www.xine-project.org/home



Authors:
--------
    Guenter Bartsch <guenter@sourceforge.net>

%description -n libxine2-codecs -l de
Mit diesem xine Plugins können Sie DVDs und alle von xine unterstützten
Medienverainten abspielen. Weitere Informationtne über xine Plugins
finden Sie unter
http://www.xine-project.org/home



Autoren:
--------
    Guenter Bartsch <guenter@sourceforge.net>
%endif

%prep
rm -rf contrib
%if %{with distributable} && %{with onlynondistributable}
%error need --without distributable for --with onlynondistributable
%endif
cat <<EOF
+++ rpm build options +++'
Distributable version:	%{with distributable}
%if !%{with distributable}
  Codecs package only:	%{with onlynondistributable}
%endif
%if %{with ffmpeg}
External ffmpeg:	1
%endif
Pulseaudio:		%{with pulseaudio}
SDL:			%{with sdl}
aalib:			%{with aalib}
esd:			%{with esd}
jack:			%{with jack}
gnome_vfs:		%{with gnome_vfs}
directfb:		%{with directfb}
modplug:		%{with modplug}
+++++++++++++++++++++++++'
EOF
%setup -q
%if %{with distributable}
# Taken from precheckin_cripple_tarball.sh
# $1: files $2: entries $3: prefix $4: postfix
do_nukeentry() {
for d in $1 ; do
  perl -i -e 'undef $/; $_=<>; for $e (qw|'"$2"'|) { s|(?<=[^-a-zA-Z0-9_./])'"$3"'$e'"$4"'(?=[^-a-zA-Z0-9_./])||g }; print' $d
done
}

# $1: files $2: entries $3: prefix $4: postfix
do_nukeline() {
for d in $1 ; do
  perl -i -e 'undef $/; $_=<>; for $e (qw|'"$2"'|) { s|^.*(?<=[^-a-zA-Z0-9_./])'"$3"'$e'"$4"'(?=[^-a-zA-Z0-9_./]).*$||mg }; print' $d
done
}

# $1: dir $2: files/dirs
do_remove() {
pushd "$1" >/dev/null || exit 1
rm -rf $2
popd >/dev/null
}

# Cripple source
#
# combined/ffmpeg
echo 1>&2 "Crippling..."

c_subdirs="dxr3 liba52 libdts libfaad libffmpeg libmad libmpeg2 libspucc libspudec libspudvb libw32dll input/vcd"
c_demuxers="xineplug_dmx_asf.la asfheader.h asfheader.c demux_asf.c   xineplug_dmx_mpeg.la demux_mpeg.c   xineplug_dmx_mpeg_block.la demux_mpeg_block.c   xineplug_dmx_mpeg_ts.la demux_ts.c   xineplug_dmx_mpeg_elem.la demux_elem.c   xineplug_dmx_mpeg_pes.la demux_mpeg_pes.c   xineplug_dmx_yuv4mpeg2.la demux_yuv4mpeg2.c"
c_input="xineplug_inp_mms.la input_mms.c mms.c mmsh.c ../demuxers/asfheader.c mms.h mmsh.h   xineplug_inp_vcdo.la input_vcd.c   vcd"
c_libxineadec="xineplug_decode_gsm610.la xineplug_decode_nsf.la gsm610.c nsf.c  gsm610 nosefart"
c_audiodec="xineplug_decode_a52.la xineplug_decode_mad.la xine_a52_decoder.c xine_mad_decoder.c"

do_nukeentry src/Makefile.am             "$c_subdirs"
do_nukeentry configure.ac                "$c_subdirs" "src/" "/[a-zA-Z0-9_./]*Makefile"
do_remove    src                         "$c_subdirs"
#do_nukeentry src/demuxers/Makefile.am    "$c_demuxers"
#do_remove    src/demuxers                "$c_demuxers"
do_nukeentry src/input/Makefile.am       "$c_input"
do_remove    src/input                   "$c_input"
do_nukeentry src/audio_dec/Makefile.am   "$c_audiodec"
do_remove    src/audio_dec               "$c_audiodec"
#do_nukeentry src/combined/Makefile.am    "ffmpeg"
#do_remove    src/combined                "ffmpeg"
do_nukeentry src/post/planar/Makefile.am "pp\.c \S*/libpostproc/libpostprocess\.la"
do_nukeline  src/post/planar/planar.c    "pp_init_plugin pp_special_info"
do_remove    src/post/planar             "pp.c"

%endif

%patch0 -p0
%patch1
%if %{with distributable} && %{with ffmpeg}
#%%patch7
%else
%if !%{with ffmpeg}
%patch2
rm -rf src/combined/ffmpeg configure
%else
#%%patch5
%endif
%endif
%ifnarch %ix86 x86_64
%patch3
%endif
%patch4
#%%patch6 -p1
%patch8 -p1

rm -f m4/libtool15.m4
sed -i -e 's|/tmp/vdr-xine|/var/lib/vdr-xine|g' src/vdr/input_vdr.c

%build
export CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -fno-force-addr `pkg-config --cflags smbclient`"
export CCASFLAGS=-Wa,--noexecstack
# Leap:42.2 won't build with gcc48
%if %{with gcc5}
export CC="gcc-5"
export CPP="cpp-5"
%endif
echo 'AC_DEFUN([AC_REQUIRE_AUX_FILE])dnl' >> acinclude.m4
#  # hack for sles10
##  rm m4/gettext.m4 m4/intl.m4
##  sed -i -e '/AM_GNU_GETTEXT_VERSION/s/0\.16\.1/0.14/' configure.ac

if [ ! -f configure ]; then
   NO_CONFIGURE=1 ./autogen.sh
fi
AUTOPOINT=true autoreconf -fi
%configure --prefix=/usr \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--disable-rpath \
	--docdir=%{_defaultdocdir}/xine \
	--enable-antialiasing \
	--with-libflac \
	--with-freetype \
	--enable-v4l \
	%{?with_modplug:--enable-modplug} \
	%{?with_directfb:--enable-directfb} \
%if !%{with sdl}
	--without-sdl \
%endif
%if %{with distributable}
	--disable-faad \
	--disable-mad \
	--disable-a52dec \
	--disable-vdpau \
	--disable-dxr3 \
	--disable-asf \
%endif
%ifarch %{ix86}
	--with-w32-path=/usr/lib/win32 \
%endif
	--with-pic \
	--with-external-dvdnav
#	--disable-libxine-builtins
#	--with-install-plugins-helper=${_prefix}/lib/opensuse-codecs-installer
echo $CFLAGS
make %{?jobs:-j%{jobs}} V=1

%install
make install DESTDIR=%{buildroot}
LIB="%{buildroot}%{_libdir}/xine/plugins/%{abiversion}"
# install documentation
#install -m 0644 %%{SOURCE1} COPYING AUTHORS %%{buildroot}%%{_defaultdocdir}/xine/
# remove usless READMEs
rm %{buildroot}%{_defaultdocdir}/xine/README.{irix,solaris,WIN32}
# remove .la files, they are evil
rm %{buildroot}%{_libdir}/*.la
rm -f files
%ifarch %{ix86}
  mkdir -p %{buildroot}/usr/lib/win32
%endif
#
# big plugin sorting
#
cat > plugins << EOF
# these plugins do not have legal problems
xineplug_ao_out_alsa
xineplug_ao_out_oss
xineplug_vo_out_fb
xineplug_vo_out_opengl
xineplug_vo_out_opengl2
xineplug_vo_out_xshm
xineplug_vo_out_xv
xineplug_vo_out_xcbshm
xineplug_vo_out_xcbxv
xineplug_vo_out_raw
%if !%{with distributable}
xineplug_vo_out_vdpau
%endif
xineplug_inp_dvb
xineplug_inp_dvd
xineplug_inp_v4l
xineplug_inp_v4l2
xineplug_inp_http
xineplug_inp_net
xineplug_inp_pnm
xineplug_inp_cdda
xineplug_inp_smb
xineplug_inp_rtsp
xineplug_inp_pvr
xineplug_inp_rtp
#New in 1.2.7
xineplug_decode_rawvideo
%if !%{with distributable}
xineplug_decode_vdpau
%endif
xineplug_dmx_video
#end new
xineplug_decode_lpcm
xineplug_decode_real
xineplug_decode_mpc
xineplug_decode_gdk_pixbuf
xineplug_decode_spucmml
xineplug_decode_spuhdmv
xineplug_decode_libjpeg
xineplug_decode_image
xineplug_decode_libvpx
xineplug_dmx_audio
xineplug_dmx_image
xineplug_dmx_fli
xineplug_dmx_nsv
xineplug_dmx_mng
xineplug_dmx_pva
xineplug_dmx_games
xineplug_dmx_slave
xineplug_dmx_modplug
xineplug_dmx_playlist
xineplug_flac
xineplug_sputext
xineplug_xiph
xineplug_vdr
xineplug_vo_out_xxmc
xineplug_vo_out_xvmc
%ifarch %{ix86}
xineplug_vo_out_vidix
vidix/cyberblade_vid
vidix/mach64_vid
vidix/mga_crtc2_vid
vidix/mga_vid
vidix/nvidia_vid
vidix/pm2_vid
vidix/pm3_vid
vidix/radeon_vid
vidix/rage128_vid
vidix/savage_vid
vidix/sis_vid
vidix/unichrome_vid
%endif
post/xineplug_post_audio_filters
post/xineplug_post_goom
post/xineplug_post_mosaico
post/xineplug_post_switch
%ifarch %ix86 x86_64
post/xineplug_post_tvtime
%endif
post/xineplug_post_visualizations
#
.pulse
xineplug_ao_out_pulseaudio
#
.esd
xineplug_ao_out_esd
#
.jack
xineplug_ao_out_jack
#
.aalib
xineplug_vo_out_aa
xineplug_vo_out_caca
#
.sdl
xineplug_vo_out_sdl
#
.gnome-vfs
xineplug_inp_gnome_vfs
#
.directfb
xineplug_vo_out_directfb
xineplug_vo_out_xdirectfb
#
.codecs
# libmad and MPEG related plugins
xineplug_decode_mad
xineplug_decode_spudvb
xineplug_inp_vcd
xineplug_inp_vcdo
xineplug_decode_mpeg2
# these plugins do have legal problems
xineplug_decode_a52
xineplug_decode_dts
xineplug_decode_faad
xineplug_decode_ff
xineplug_decode_dvaudio
xineplug_dmx_asf
xineplug_inp_mms
xineplug_inp_bluray
# I am not sure about these plugins, they need to be checked
# Closed Captioning Decoder (EIA-608). Patented ???
xineplug_decode_spucc
xineplug_decode_spu
# NES Music File Format. free ??
xineplug_nsf
# Philips claimed intellectual property on GSM 06.10
xineplug_decode_gsm610
%ifarch %{ix86}
xineplug_decode_qt
xineplug_decode_w32dll
%endif
xineplug_decode_dxr3_video
xineplug_vo_out_dxr3
xineplug_decode_dxr3_spu
xineplug_vo_out_vaapi
# unfortunately using external ffmpeg links the planar post
# processing plugin against ffmpeg libs
post/xineplug_post_planar
#
EOF
#
OUT_FILE=""
grep -v ^# plugins | while read i; do
  [ "${i:0:1}" = "." ] && OUT_FILE=${i} && continue
  echo %{_libdir}/xine/plugins/%{abiversion}/${i}.so >> files${OUT_FILE}
done
%find_lang libxine2
cat libxine2.lang >>files
%if %{with distributable}
xargs -i+ rm -f %{buildroot}/+ <files.codecs
%else
%if 0%{?__debug_package}
# strip patent encumbered plugins to prevent their source from
# ending up in the debuginfo package
xargs -i+ strip --strip-debug %{buildroot}/+ <files.codecs
%endif
%endif
%if %{with onlynondistributable}
for i in files files.*; do
  test "$i" = 'files.codecs' || xargs -i+ rm -f %{buildroot}/+ < $i
done
rm -rf %{buildroot}/usr/share %{buildroot}/usr/bin
rm -rf %{buildroot}%{_defaultdocdir}/xine %{buildroot}/usr/include
rm -rf %{buildroot}/usr/lib/win32 %{buildroot}/%{_libdir}/pkgconfig
rm -rf %{buildroot}%{_libdir}/xine/plugins/%{abiversion}/{vidix,mime.types}
rm -f  %{buildroot}%{_libdir}/libxine*
%endif
rm -rf %{buildroot}%{_mandir}/man5

%clean
rm -rf %{buildroot}

%if !%{with onlynondistributable}

%post -n libxine2 -p /sbin/ldconfig

%postun -n libxine2 -p /sbin/ldconfig

%files -n libxine2 -f files
%defattr(-,root,root)
%{_bindir}/xine-list-*
%ifarch %{ix86}
%dir /usr/lib/win32
%endif
%dir /%{_libdir}/xine
%dir /%{_libdir}/xine/plugins
%dir /%{_libdir}/xine/plugins/%{abiversion}
%dir /usr/share/xine-lib
%{_libdir}/libxine.so.*
%doc %{_mandir}/man1/xine-list-*.gz
#%%doc %%{_mandir}/man5/xine.*
%{_defaultdocdir}/xine
%dir %{_libdir}/xine/plugins/%{abiversion}/post
%{_libdir}/xine/plugins/%{abiversion}/mime.types
#
# xine fonts
# cetus is a freeware font from http://www.fontfreak.com/authors/gregfonts.htm
#
/usr/share/xine-lib/fonts
%ifarch %{ix86}
%dir %{_libdir}/xine/plugins/%{abiversion}/vidix
%endif

%if %{with pulseaudio}

%files -n libxine2-pulse -f files.pulse
%defattr(-,root,root,0755)
%endif

%if %{with sdl}

%files -n libxine2-sdl -f files.sdl
%defattr(-,root,root,0755)
%endif

%if %{with esd}

%files -n libxine2-esd -f files.esd
%defattr(-,root,root,0755)
%endif

%if %{with jack}

%files -n libxine2-jack -f files.jack
%defattr(-,root,root,0755)
%endif

%if %{with aalib}

%files -n libxine2-aa -f files.aalib
%defattr(-,root,root,0755)
%endif

%if %{with directfb}

%files -n libxine2-directfb -f files.directfb
%defattr(-,root,root,0755)
%endif

%if %{with gnome_vfs}

%files -n libxine2-gnome-vfs -f files.gnome-vfs
%defattr(-,root,root,0755)
%endif

%files -n libxine-devel
%defattr(-,root,root)
%doc %{_mandir}/man1/xine-config.1.gz
/usr/bin/xine-config
%{_libdir}/pkgconfig/libxine.pc
%{_libdir}/libxine.so
/usr/share/aclocal/xine.m4
/usr/include/xine
/usr/include/xine.h
%endif
# onlynondistributable

%if !%{with distributable}

%files -n libxine2-codecs -f files.codecs
%defattr(-,root,root)
%dir %{_libdir}/xine
%dir %{_libdir}/xine/plugins
%dir %{_libdir}/xine/plugins/%{abiversion}
%dir %{_libdir}/xine/plugins/%{abiversion}/post
%endif

%changelog
* Sun Apr  9 2017 davejplater@gmail.com
- Update to release 1.2.8
- Remove patches fixed upstream:
  xine-lib-crippled-ffmpeg3.0.patch, xine-lib-ffmpeg3.0.patch and
  xine-lib-link-xcb.patch.
- Removed precheckin_cripple_tarball.sh and integrated it into the
  spec file.
- Upstream changes:
  * Add HEVC to QT demuxer.
  * Add libOpenHEVC decoder.
  * Add h.265/HEVC decoding to VAAPI.
  * Detach VAAPI video out from ffmpeg.
  * VAAPI fixes.
  * Improved Matroska compatibility (TrueHD and PCM sound,
    HDMV/Text subtitles).
  * Add faad LATM support.
  * Add faad preamp gain control and channel mixer.
  * Update/fix internal libfaad.
  * Integrate 6 basic plugins into libxine.
  * ffmpeg fixes and optimizations.
  * Use external libdvdnav by default.
  * Optimize video out.
  * AVFormat demuxer fixes.
  * (XCB)XV video out fixes.
  * Lots of small fixes and optimizations.
  * Build fixes (newer automake, xcb, libdvdcss, dxr3, make dist,
    32+64bit dual install, gcc 4.x with GNU ld 2.26 ...).
  * Better C++ compatibility.
  * Add support for avi WAVE_FORMAT_EXTENSIBLE.
  * Add "Time Domain Audio Analyzer" Visualization Post Plugin.
  * Add support for compressed HDMV PGS subtitles in Matroska.
  * Add HW accelerated OSD for Raspberry Pi.
  * Add simple deep color (9/10bit) support via ffmpeg.
  * Join 15 video demuxers into a single multiplugin lib.
  * Join 5 vdpau decoders into a single multiplugin lib.
  * Join 3 raw video decoders into a single multiplugin lib.
  * Make ffmpeg/postproc optional.
  * Log individual items when loading multiplugin libs.
  * Improved qt/mp4 edit list handling.
  * Detect mp3 files with large id3v2 tags.
  * Auto recover from temporary DVB signal loss.
  * Fix demuxing low framerate mp4.
  * DVB AAC sound compatibility fix.
  * ffmpeg audio downmix level fix and optimization.
  * ffmpeg multithreading fixes.
  * ffmpeg compatibility fixes.
  * BluRay subtitle fixes.
  * Various small fixes.
  * OpenGL(2) video out fixes and optimizations.
  * Fix some issues with heavy stream seeking.
  * Build fixes, including missing vcd libs and much less warnings.
  * Code simplifications.
* Tue Mar 28 2017 pgajdos@suse.com
- fix build with ImageMagick 7
  + xine-lib-ImageMagick7.patch
* Mon Aug  1 2016 davejplater@gmail.com
- Fixed build in Leap:42.2 by building with gcc5.
- Removed conditinals for old openSUSE versions from spec file.
- Modified pre checkin script to enable build with the ffmpeg libs
  that are in the distribution.
- Added xine-lib-crippled-ffmpeg3.0.patch to enable leap and above
  to build with ffmpeg3.
- Removed unused build flags.
* Sun Jul 24 2016 olaf@aepfle.de
- Accept any ffmpeg version in BuildRequires
* Mon Jul 18 2016 dimstar@opensuse.org
- Add xine-lib-link-xcb.patch: fix linking of libxcb. As our code
  uses the functions, we must not rely on 3rd parties to hopefully
  bring the right libraries to link.
  https://bugs.xine-project.org/show_bug.cgi?id=573
* Fri Apr 15 2016 dimstar@opensuse.org
- Drop libsmbclient BuildRequires: requiring a library to build is
  in any case wrong. It's the responsibility of a -devel package to
  pull in the real libraries.
* Fri Feb 26 2016 joerg.lorenzen@ki.tng.de
- Added xine-lib-ffmpeg3.0.patch to build against ffmpeg-3.0
  libraries on PMBS.
- Add pkgconfig(libva-glx) to BuildRequires because it's a separate
  package for openSUSE > 13.2.
* Mon Sep 21 2015 olaf@aepfle.de
- Replace implicit Requires from old ffmpeg with BuildRequires to
  fix build in packman
* Mon Feb  2 2015 wbauer@tmo.at
- update to 1.2.6
  * Add libmmal video output plugin for Raspberry Pi.
  * Add libmmal HW video decoder plugin for Raspberry Pi.
  * Add overlay colormatrix support.
  * Add "sqare monitor pixels" config option.
  * Add VAAPI colormatrix and fullrange video support.
  * Add "radeonhd" XV colormatrix support.
  * Add Opus audio support.
  * Update german translation.
  * Optimize OpenGL2 video out.
  * Optimize raw RGB video decoder.
  * Fix multithread ffmpeg video decoding.
  * Fix/optimize DVB subtitles.
  * Fix external text subtitles.
  * BSD build fixes.
  * Clang build fixes.
  * Build optimization fixes (aliasing).
  * AVformat demux build fix.
  * More safety on memory allocation failure.
  * Fix detection of and compilation with libcaca 0.99 beta 19.
- use the xz compressed tarball provided by upstream and change
  precheckin_cripple_tarball.sh accordingly
- should fix boo#913588
* Fri Apr 11 2014 Manfred.Tremmel@iiv.de
- update to 1.2.5
  * Update german translation.
  * Add bass downmix support to AC3 decoder.
  * Add experimental YCgCo colorspace support.
  * Add avformat demux plugin.
  - Support for new formats and protocols.
  - Proper rtsp support (with avformat+rtsp://, rtsp+tcp:// and rtsp+http:// mrls).
  - by default native xine demux plugins are probed first.
    This can be overridden in config, by selecting demuxer in mrl (#demux:avformat),
    or by using "avformat+" mrl prefix.
  * Add avio (libavformat) input plugin:
  - Support for new protocols (https://, ftp://, sftp://, ...).
  - Support for seekable http streams (with "avio+http://" mrl).
  - By default native xine input plugins are used. This can be overridden in config or by using "avio+" mrl prefix.
  * Recognise & use HEVC/H.265. (ffmpeg)
  * Add support for HEVC/H.265 to the mpeg-ts demuxer.
  * Add support for HEVC/H.265 and VP9 to the matroska demuxer.
  * Add VP8/VP9 decoder using libvpx.
  * Modernise Quicktime demuxer:
  - Multiple user selectable audio traks.
  - Support AC3, EAC3, vorbis, Purevoice audio.
  - Support ISO fragment media files.
  - More safety on broken files.
  - Slightly faster.
  * Recognise & use ADPCM G.726 and ATRAC3. (ffmpeg/libva)
  * Build fixes.
  * Fix HDMV subtitle channel.
  * FFmpeg compatibility fixes.
  * Some colour format conversion fixes.
  * Fix RealVideo re-ordered PTS: pass through, let the decoder re-order it.
  * Fix some problems with COOK audio.
- from 1.2.4
  * Some VAAPI plugin fixes (build, image size changes).
  * ffmpeg multi-channel playback fixes:
  - Handle channel configuration changes sooner.
  - Generic layout if none provided; follow user changes.
  - Defer opening output if nothing to play.
  - Don't re-open with identical settings.
  - Don't use the bits-per-sample value (may not match decoder output).
  * ffmpeg video fixes:
  - Default to square pixels, avoiding black bars & unnecessary scaling.
  - Avoid CODEC_FLAG_EMU_EDGE (and some possible segfaults).
  - Use MPEG2VIDEO.
  * OpenGL2 output: don't render into invalid drawable.
  * Fix a possible xine_play() hang related to display locking.
  * FLV demuxer rewrite:
  - Improved metadata parsing.
  - PTS/DTS fixes.
  - Large file support on 32-bit.
  - Much improved seeking.
  - Much optimisation.
  - More codecs supported.
  * audio_out speed control fixes.
  * Optimised RGB→YUY2 conversion.
  * Avoid a possible performance penalty where AVX-optimised memcpy is used.
  * Add BD-J (BluRay Java) support with ARGB overlay capable video drivers (opengl2, vaapi, vdpau)
  * Add support for theora 4:2:2 and 4:4:4 pixel formats
- Removed xine-lib-missing-include-1.2.3.patch, the missing file is now included in the upstream tarball
* Wed Sep 11 2013 pgajdos@suse.com
- detect smbclient
* Wed May 29 2013 Manfred.Tremmel@iiv.de
- update to 1.2.3
  * Add VAAPI HW decoding support
  * Add OpenGL 2.0 output plugin
  * Add crop support to XShm output plugins
  * Add color matrix and full range support to OpenGL/Xv/XShm output plugins
  * Add test image generator input plugin
  * Add fast libjpeg based JPEG decoder
  * Add max. Xv image size detection to Xv video output plugin
  * Fix crash when trying to display too large jpeg image with Xv output plugin
  * Fix possible crash when stopping playback with deinterlacing enabled
  * Support large PAT in MPEG TS
  * Handle EAC3 audio (via ffmpeg)
* Fri Mar  1 2013 coolo@suse.com
- update license to new format
* Wed Jul 18 2012 davejplater@gmail.com
- Added xine-lib-theora.patch to add fourcc code to xine
* Thu Jun 21 2012 adrian@suse.de
- fix build for non-x86 architectures (disable deinterlace plugin)
* Mon Jun 18 2012 lnussel@suse.de
- don't include .la files in libxine-devel to avoid bogus libtool errors
* Thu Jun 14 2012 coolo@suse.com
- provide and obsolete xine-devel and xine-lib for backward compat
* Sun Jun 10 2012 Manfred.Tremmel@iiv.de
- update to 1.2.2
  * Fix musepack decoder compilation if libmpcdec headers aren't available.
  * Configure tests for xinerama & VideoCD support now soft-fail properly.
  * The DVB plugin is working again.
  * OpenGL OSD fix.
  * YUV conversion MMX/SSE optimisations.
  * YUV420 H.264 is playable now; YUVJ444P is correctly handled.
  * Support FLAC in Matroska; support BMP.
  * Various build fixes for Windows.
* Wed Jun  6 2012 Manfred.Tremmel@iiv.de
- updated crippled version, removed mad and a52dec
* Tue May 29 2012 reddwarf@opensuse.org
- Remove dependency from libxine-devel to libffmpeg-devel
* Sat Feb  4 2012 Manfred.Tremmel@iiv.de
- update to 1.2.1
  * The "I'm at Tyneside LUG" release.
  * Enable PulseAudio, JACK and VDPAU on the Hurd.
  * Rewrite of VDPAU OSD handling.
  * sndio plugin is now buildable.
  * Various bug fixes.
* Fri Jan  6 2012 Manfred.Tremmel@iiv.de
- first build of xine-lib-12 for packman
